.card-box,
.card-page {
  padding: 1rem .5rem;
  border-radius: .25rem
}

.left-side-menu {
  background: #293543 !important;
}
#sidebar-menu>ul>li>a {
    color: #cedeef;

}
.nav-second-level li a {
    color: #cedeef;
}
body[data-sidebar-size="condensed"] .left-side-menu #sidebar-menu>ul ul {
    background-color:#293543 !important;
    box-shadow: none!important;
}

@media (max-width: 991.98px) {
  .logo-box .logo-sm {
    background-color: white;
  }
}
.logo, .logo span.logo-lg {
  background-color: #293543;
}
.navbar-custom {
  background-color: #fff;
}
.navbar-custom .button-menu-mobile {
    color: #293543;
}

.text-blocked {
  color: #d54092a8 !important;
  font-style: italic !important;
  text-transform: capitalize !important
}

.scroll-thin,
html {
  scrollbar-width: thin !important
}

.bg-edited {
  background-color: #f926260f !important
}

.topnav,
.topnav .navbar-nav .nav-link {
  color: wheat
}

.jq-toast-single h2 {
  margin: 0 0 0px !important;
  font-size: 13px !important
}

.toggle-switch {
  display: inline-block;
  width: 36px;
  height: 20px;
  position: relative
}

.toggle-switch__helper {
  position: absolute;
  height: 12px;
  width: 100%
}

.toggle-switch__helper:after,
.toggle-switch__helper:before {
  will-change: left, background-color;
  content: '';
  position: absolute;
  left: 0;
  -webkit-transition: left .2s, background-color, .2s;
  transition: left .2s, background-color, .2s
}

.toggle-switch__helper:before {
  background-color: rgb(0 0 0 / .4);
  top: 4px;
  height: 100%;
  width: 100%;
  border-radius: 10px
}

.toggle-switch__helper:after {
  width: 19px;
  height: 19px;
  border-radius: 50%;
  background-color: #fff;
  left: 0;
  -webkit-box-shadow: 0 2px 8px rgb(0 0 0 / .2);
  box-shadow: 0 2px 8px rgb(0 0 0 / .2);
  z-index: 1
}

.toggle-switch__checkbox {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  z-index: 2;
  cursor: pointer
}

.table-scroll,
.table-wrap {
  position: relative
}

.toggle-switch__checkbox:checked~.toggle-switch__helper:after {
  left: calc(100% - 19px);
  background-color: #dc3545
}

.toggle-switch__checkbox:disabled {
  cursor: auto
}

.toggle-switch__checkbox:disabled~.toggle-switch__helper {
  opacity: .65
}

.toggle-switch__checkbox:active~.toggle-switch__helper:after {
  -webkit-box-shadow: 0 0 0 10px rgb(255 255 255 / .05);
  box-shadow: 0 0 0 10px rgb(255 255 255 / .05)
}

.toggle-switch--amber .toggle-switch__checkbox:checked~.toggle-switch__helper:after {
  background-color: #ffc107
}

.toggle-switch--blue .toggle-switch__checkbox:checked~.toggle-switch__helper:after {
  background-color: #007bff
}

.toggle-switch--green .toggle-switch__checkbox:checked~.toggle-switch__helper:after {
  background-color: #28a745
}

.toggle-switch--teal .toggle-switch__checkbox:checked~.toggle-switch__helper:after {
  background-color: #20c997
}

.toggle-switch--purple .toggle-switch__checkbox:checked~.toggle-switch__helper:after {
  background-color: #6f42c1
}

.toggle-switch--cyan .toggle-switch__checkbox:checked~.toggle-switch__helper:after {
  background-color: #17a2b8
}

.card-page {
  background-color: #fff;
  -webkit-box-shadow: none;
  box-shadow: none;
  margin-top: 13px;
  min-height: 89vh
}

.card-box {
  background-color: #ececec;
  -webkit-box-shadow: none;
  box-shadow: none
}

input::-webkit-inner-spin-button,
input::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0
}

::-webkit-scrollbar {
  width: 5px
}

.table-scroll,
.table-scroll table {
  width: 100%;
  margin: auto
}

::-webkit-scrollbar-track {
  background: rgb(255 255 255 / .01);
  border-radius: 2px
}

::-webkit-scrollbar-thumb {
  background: rgb(255 255 255 / .4);
  border-radius: 2px
}

.text-sm {
  font-size: .7rem !important
}

.footMobile {
  bottom: auto !important
}

input[type=number] {
  -moz-appearance: textfield
}

.scroll-thin {
  scrollbar-color: #6f6e77 rgb(255 255 255 / .01)
}

.break-force {
  white-space: pre-wrap;
  white-space: -moz-pre-wrap;
  white-space: -pre-wrap;
  white-space: -o-pre-wrap;
  word-wrap: break-word
}

.modal:nth-child(2) {
  z-index: 1052 !important
}

.modal:nth-child(3) {
  z-index: 1055 !important
}

.mh-25v {
  min-height: 50vh
}

.table-scroll {
  z-index: 1;
  overflow: auto;
  max-height: 80vh
}

.modal .twin {
  max-height: 550px !important;
  height: 550px !important
}

@media (min-width:992px) {
  .extra {
    max-width: 950px !important
  }
}

@media (max-width:991.98px) {
  .extra {
    max-width: 98% !important
  }
}

.table-scroll tfoot th,
.table-scroll thead th {
  color: #343a40;
  font-weight: 700;
  background-color: #f3f7f9;
  line-height: 1.5;
  text-transform: uppercase;
  position: -webkit-sticky;
  position: sticky;
  line-height: normal;
  vertical-align: middle !important
}

.table-scroll thead th {
  top: 0;
  z-index: 99
}

.table-scroll thead>tr:nth-child(2) th {
  top: 28px
}

.table-scroll tfoot th {
  bottom: 0;
  z-index: 99
}

.the-ab {
  max-height: 40vh !important;
  overflow-y: auto
}

@media(max-width:575.98px) {
  .the-ab {
    max-height: 20vh !important
  }
}

;
@media (max-width:991.98px) {
  .table-responsive::-webkit-scrollbar {
    display: none !important
  }

  .table-responsive,
  .table-scroll {
    scrollbar-width: none !important;
    -ms-overflow-style: none !important
  }

  body {
    font-size: .68em
  }

  .header-title {
    font-size: .7rem
  }
}

.calendar-button {
  padding: .3rem .3rem !important
}

.pagination {
  margin-bottom: 0 !important
}

.the-pagi {
  max-height: 74vh !important
}

@media (max-width:767.98px) {
  .input-group-sm {
    width: 120px
  }

  .card-page {
    min-height: 74vh !important
  }

  .table-scroll {
    max-height: 60vh
  }

  .the-pagi {
    max-height: 52vh !important
  }
}

.bg-preloader-blur {
  background: #222222db !important
}

.for-select,
.for-select-sm {
  border: 1px solid #424e5a5e !important;
  background-color: #052d42 !important
}

.for-select-sm {
  height: calc(1.5em + .56rem + 2px);
  padding: .28rem;
  font-size: .7875rem;
  line-height: 1.5
}

.all-center-table th {
  text-align: center !important
}

.all-center-table td {
  vertical-align: middle !important
}

.modal-title {
  text-transform: uppercase !important
}

body {
  background-color: #e2e2e2;
  color: #535353
}

.topnav {
  background-color: #4d2c66
}

.dropdown-item {
  color: wheat;
  background-color: #f5f5f5;
  padding: .375rem .2rem
}

.dropdown-menu {
  background-color: #f5f5f5;
  border: none !important;
  border-radius: .25rem;
  color: #000
}

.dropdown-item.active,
.dropdown-item:active,
.dropdown-item:focus,
.dropdown-item:hover {
  background-color: #d1cbcb;
  color: #000
}

.bs-searchbox input {
  padding: .1rem .25rem !important
}

.bs-searchbox {
  padding: 4px 1px
}

.navtab-bg .nav-link {
  background-color: #f8f5f0;
  border-radius: .25rem;
  color: #000;
  border: 1px solid #3283f6 !important
}

@media print {
  .table-scroll {
    position: static;
    width: 100%;
    z-index: 1;
    margin: auto;
    overflow: auto;
    max-height: 100%
  }

  .table-pos,
  body {
    color: #000 !important;
    background-color: #fff !important;
    font-family: "Arial Narrow", Arial, sans-serif !important;
    font-stretch: condensed;
    margin: 0
  }

  .table-scroll td {
    border: 1px solid #000 !important
  }

  .table .thead-success th {
    color: #000 !important
  }

  .table-scroll tfoot th,
  .table-scroll thead th {
    background-color: #fff;
    position: static;
    font-weight: 700;
    line-height: 1.5;
    background-clip: padding-box;
    border-width: 1px !important;
    border-color: #000 !important;
    border-style: solid;
    border-bottom-style: double !important
  }

  .table-scroll tfoot {
    display: table-row-group
  }

  .card-page {
    margin-top: 0;
    padding: 0
  }

  @page {
    size: auto;
    margin-left: .1in;
    margin-right: .1in;
    margin-top: 0;
    margin-bottom: 0
  }

  body {
    color: black !important;
    background-color: white !important
  }

  .modal-backdrop {
    display: none
  }

  .swal2-container {
    display: none
  }

  .jq-toast-wrap,
  .modal-backdrop,
  .swal2-container {
    display: none
  }

  .d-print-block {
    height: fit-content;
    page-break-inside: avoid
  }

  .table-pos {
    font-size: 1rem;
    width: 100%
  }

  .table-pos,
  .table-pos td,
  .table-pos th,
  .table-pos tr {
    border: none;
    border-collapse: collapse;
    padding: 0
  }
}

.stand-body {
  overflow-y: auto;
  overflow-x: hidden;
  max-height: 75vh
}

.box-select-picker {
  color: #303234 !important;
  border-radius: .2rem !important;
  background-color: white !important;
  border: 1px solid #a3a3a3
}

.box-select-picker:focus {
  color: #000000 !important
}

#top-search-js,
#btn-search-start,
#btn-search-clear {
  background-color: #f8f5f0;
  opacity: 1;
  line-height: 1.4 !important
}

.dual-action .form-control:disabled {
  border: none !important;
  background-color: transparent !important;
  padding: 0px !important;
  margin-bottom: .28em;
  font-weight: 700
}

.dual-action input,
.dual-new input {
  text-transform: uppercase
}

.jq-toast-heading {
  text-transform: uppercase
}

.jq-toast-single {
  inline-size: auto;
  word-break: break-all;
  overflow-wrap: break-word
}

.main-loader {
  width: 58px;
  height: 58px;
  border: 5px dotted #3189fc;
  border-style: solid solid dotted dotted;
  border-radius: 50%;
  display: inline-block;
  position: relative;
  box-sizing: border-box;
  animation: rotation 2s linear infinite
}

.main-loader::after {
  content: '';
  box-sizing: border-box;
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  margin: auto;
  border: 4px dotted #3c4854;
  border-style: solid solid dotted;
  width: 28px;
  height: 28px;
  border-radius: 50%;
  animation: rotationBack 1s linear infinite;
  transform-origin: center center
}

@keyframes rotationBack {
  0% {
    transform: rotate(0deg)
  }

  100% {
    transform: rotate(-360deg)
  }
}

.in-load {
  width: 48px;
  height: 48px;
  border: 5px dotted #0509f3;
  border-radius: 50%;
  display: inline-block;
  position: relative;
  box-sizing: border-box;
  animation: rotation 2s linear infinite
}

@keyframes rotation {
  0% {
    transform: rotate(0deg)
  }

  100% {
    transform: rotate(360deg)
  }
}

.big-round {
  border-top-left-radius: 20px;
  border-top-right-radius: 20px;
  border-top: 1px solid #1f08a3;
}